# MD for: https://www.mercadopago.com.ar/developers/es/docs/partners-guide/platform-id/checkout-transparente.md \# Transactions via Checkout API After receiving your corresponding \`PLATFORM\_ID\` for your platform, you can add it to the request \`header\` for payment (\[/v1/payments\](https://www.mercadopago.com.ar/developers/en/reference/online-payments/checkout-api-payments/create-payment/post)) when creating a transaction with Mercado Pago. Example: * [csharp ](#editor%5F1) * [curl ](#editor%5F8) * [go ](#editor%5F7) * [java ](#editor%5F2) * [node ](#editor%5F3) * [php ](#editor%5F4) * [python ](#editor%5F5) * [ruby ](#editor%5F6) csharp java node php python ruby go curl ``` using MercadoPago.Config; MercadoPagoConfig.PlatformId = "YOUR_PLATFORM_ID"; // continue creating the payment ``` Copiar ``` import com.mercadopago.MercadoPagoConfig; MercadoPagoConfig.setPlatformId("your-platform-id"); // create the payment ``` Copiar ``` import MercadoPago, { Payment } from '@src/index'; const client = new MercadoPago({ accessToken: 'YOUR_ACCESS_TOKEN', options: { plataformId: 'your-platform-id' } }); // create the payment ``` Copiar ``` use MercadoPago\MercadoPagoConfig; MercadoPagoConfig::setPlatformId("YOUR_PLATFORM_ID"); // create the payment ``` Copiar ``` import mercadopago from mercadopago.config import RequestOptions request_options = RequestOptions(platform_id="your_platform_id") # create the payment ``` Copiar ``` require 'mercadopago' request_options = Mercadopago::RequestOptions.new( platform_id: 'your_platform_id_value' ) # create the payment ``` Copiar ``` cfg, err := config.New( accessToken, config.WithPlatformID("your_platform_id_here"), ) // create the payment ``` Copiar ``` curl --location --request POST 'https://api.mercadolibre.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \ --header 'x-platform-id: {{PLATFORM_ID proporcionado por el equipo de Partners}}' \ // create the payment ``` Copiar